v.split(1)

NAME
v.split - Splits vector lines to shorter segments.

KEYWORDS
vector, geometry, densification, node, segment, vertex

SYNOPSIS
v.split
v.split --help
v.split [-n] input=name [layer=string] output=name [length=float] [units=string] [vertices=integer] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-n
    Add new vertices, but do not split
    Applies only to ’length’ option

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of input vector map
    Or data source for direct OGR access

layer=string
    Layer number or name (’-1’ for all layers)
    A single vector map can be connected to multiple database tables. This number determines which table to use. When used with direct OGR access this is the layer name.
    Default: -1

output=name [required]
    Name for output vector map

length=float
    Maximum segment length

units=string
    Length units
    Options: map, meters, kilometers, feet, surveyfeet, miles, nautmiles
    Default: map

vertices=integer
    Maximum number of vertices in segment

DESCRIPTION
v.split splits vector lines into shorter segments using a maximal distance between nodes. The resulting length of all segments is expected to be equal and not higher than the given length parameter.

EXAMPLES
The examples are based on the North Carolina sample data location.

  Example 1: Inserting nodes to railroad map

# extract data for this example
v.extract railroads out=myrr cats=1
# show line, category, direction (to find the beginning)
d.vect myrr disp=shape,cat,dir
# insert nodes at a distance not longer than 1000m
v.split myrr out=mrr_split length=1000
d.vect myrr_split disp=shape,topo

Note: In case the data is not a polyline, build polylines in second step, eg.:

# join segments into polyline
v.build.polylines myrr out=myrr_poly
v.category myrr_pol out=myrailroads option=add

  Example 2: Inserting vertices to railroad map
Note: first run the two steps from example 1.

# insert vertices at a distance not longer than 1000m
v.split -n myrr out=myrr_split length=1000
d.vect myrr_split disp=shape,topo

SEE ALSO
v.edit, v.build.polylines, v.to.points, v.segment

AUTHOR
Radim Blazek

Last changed: $Date: 2014-03-26 12:41:40 +0100 (st, 26 III 2014) $

Main index | Vector index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.0 Reference Manual